<?php
require_once('lib/facebook.php');
require_once('config.php');

$facebook = new Facebook($config);
$user_id = $facebook->getUser();
?>

<!DOCTYPE html>
<html>
<head><meta charset=utf-8 /><title>BeautyGrid</title>
<link href='http://fonts.googleapis.com/css?family=Codystar' rel='stylesheet' type='text/css'>
<!-- <link rel="stylesheet" type="text/css" href="http://netdna.bootstrapcdn.com/twitter-bootstrap/2.1.0/css/bootstrap.min.css">    -->
<link rel="stylesheet" type="text/css" href="assets/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="assets/css/bootstrap-responsive.min.css">
<script type='text/javascript' src='https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js'></script>
<script type='text/javascript' src='assets/js/bootstrap.min.js'></script>
<script type='text/javascript' src='assets/js/masonry.js'></script>

<style type="text/css">
    body{ background-image:url('assets/img/gray.jpg'); }

    .centered { margin: 0 auto; }
    
    .box{ margin: 3px; }

    h1{
        font-family: 'Codystar', cursive;            
        color: white;
        text-shadow: 2px 2px #272822, 2px 2px gray 
    }

    h5{ color: green; }
</style>

</head>
<body>
<a id='github-badge' href="https://github.com/vansteki/BeautyGrid"><img style="position: absolute; top: 0; right: 0; border: 0;" src="https://s3.amazonaws.com/github/ribbons/forkme_right_white_ffffff.png" alt="Fork me on GitHub"></a>

<a id='cc-badge' rel="license" href="http://creativecommons.org/licenses/by-nc-sa/3.0/tw/deed.zh_TW"><img alt="創用 CC 授權條款" style="position: absolute; bottom: 50px; right: 0; border: 0; border-width:0;" src="http://i.creativecommons.org/l/by-nc-sa/3.0/tw/88x31.png" /></a>

<?php 
	if($user_id) {

    echo "<script>$('#github-badge').hide(); $('#cc-badge').hide(); </script>";

    try {

        $fql = "SELECT uid, first_name, name,pic, pic_square, profile_url, friend_count FROM user WHERE uid IN (SELECT uid2 FROM friend WHERE uid1 = me() ) and sex= 'female' ";

        $ret_obj = $facebook->api(array(
			'method' => 'fql.query',
			'query' => $fql,
        ));
        // var_export($ret_obj);

        echo "<center><div id='container' class='transitions-enabled centered clearfix'>";
		foreach($ret_obj as $key => $val){
			echo "<a class='box' href=https://www.facebook.com/".$val['uid'].">"."<img src=".$val['pic']." class='img-polaroid'/>"."</a>"; //img-polaroid
		}
        echo "</div></center>";

        $user_profile = $facebook->api('/me','GET');
        echo "<br><a> Name: " . $user_profile['name']."</a>";
        echo "<br><a href='logout.php'>logout</a></li> ";
      
		} catch(FacebookApiException $e) {
        // If the user is logged out, you can have a 
        // user ID even though the access token is invalid.
        // In this case, we'll get an exception, so we'll
        // just ask the user to login again here.
        
		$login_url = $facebook->getLoginUrl( array(
            array('scope' => 'user_status,publish_stream,user_photos','photo_upload','user_relationships')
        ));

        echo '<br><center><a>For Beauty!.</a><a href="' . $login_url . '"><br><img src=assets/img/fb_login_btn.png></a></center>';
        // error_log($e->getType());
        // error_log($e->getMessage());
        echo "<hr>$e<hr>";
      }
    } else {
		// No user, print a link for the user to login
		// To post to a user's wall, we need publish_stream permission
		// We'll use the current URL as the redirect_uri, so we don't
		// need to specify it here.

        echo "<center><h1>BeautyGrid</h1></center>";
		$login_url = $facebook->getLoginUrl( 
            array('scope' => 'user_status,publish_stream,user_photos','photo_upload','user_relationships')
		);
		echo '<br><center><a>For Beauty!</a><a href="' . $login_url . '"><br><img src=assets/img/fb_login_btn.png></a></center>';
    }
?>

<script type="text/javascript">
$(function(){
    var $container = $('#container');

    $container.imagesLoaded( function(){
        $container.masonry({
            itemSelector : '.box',
            isFitWidth : true
        });

    });

});
</script>



</body>
</html>
